:host {
    display: flex;
    align-items: center;
    padding: 12px;

    background-color: white;

    height: 80px;
    margin-bottom: 12px;

    transition: box-shadow .3s;

    &:hover {
        box-shadow: 0 0 8px rgba(33,33,33,.18);
    }

    .type-container {
        display: flex;
        padding: 0 20px 0 12px;
        width: 48px;
    }

    .name-container {
        display: flex;
        flex-direction: column;
        width: 188px;

        .operator-name {
            font-size: 1.2em;
            font-weight: bold;
            margin-bottom: 8px;
        }
    }

    .flag-container {
        margin-right: 42px;
        display: flex;
        width: 42px;

        span {
            user-select: none;
            font-size: 42px;
        }
    }

    .benefits-container {
        display: flex;
        flex: 1;

        msoft-benefit:not(:first-child) {
            margin-left: 8px;
        }
    }

    .tags-container {
        display: flex;
        flex: 1;

        .product-tag {
            padding: 4px 10px;
            border-radius: 10px;
            user-select: none;

            &:not(:first-child) {
                margin-left: 8px;
            }

            background-color: rgba(1, 1, 1, 0.08);
        }
    }

    .validity-container {
        display: flex;
        justify-content: flex-end;
        margin-right: 28px;
        width: 120px;
    }

    .price-container {
        display: flex;
        justify-content: flex-end;
        margin-right: 42px;
        width: 90px;
    }

    .button-container {
        width: 100px;
    }
}

